Name:		strace
Version:	5.10
Release:	%mkrel 1
Summary:	Tracks and displays system calls associated with a running process
License:	BSD
Group:		Development/Kernel
URL:		https://strace.io
Source0:	https://github.com/strace/strace/releases/download/v%{version}/%{name}-%{version}.tar.xz

%description
The strace program intercepts and records the system calls called
and received by a running process.  Strace can print a record of
each system call, its arguments and its return value.  Strace is useful
for diagnosing problems and debugging, as well as for instructional
purposes.

Install strace if you need a tool to track the system calls made and
received by a process.

%prep
%autosetup -p1

%build
%configure --enable-mpers=check
%make_build

%install
%make_install

%check
exit 0
%make_build check

# remove unpackaged files
%__rm %{buildroot}%{_bindir}/strace-graph

%files
%doc COPYING README* NEWS
%{_bindir}/strace*
%{_mandir}/man1/strace*



%changelog
* Wed Dec 16 2020 luigiwalser <luigiwalser> 5.10-1.mga8
+ Revision: 1658073
- 5.10
- remove patches

* Wed Oct 14 2020 luigiwalser <luigiwalser> 5.9-1.mga8
+ Revision: 1636029
- 5.9
- add patches from fedora to fix build issues

* Tue Aug 11 2020 luigiwalser <luigiwalser> 5.8-1.mga8
+ Revision: 1613450
- 5.8

* Fri Jun 12 2020 luigiwalser <luigiwalser> 5.7-1.mga8
+ Revision: 1593041
- 5.7

* Thu Apr 09 2020 luigiwalser <luigiwalser> 5.6-1.mga8
+ Revision: 1565919
- 5.6

* Tue Feb 18 2020 umeabot <umeabot> 5.5-2.mga8
+ Revision: 1539209
- Mageia 8 Mass Rebuild

* Sat Feb 15 2020 tmb <tmb> 5.5-1.mga8
+ Revision: 1526601
- update to 5.5
+ wally <wally>
- replace deprecated %%configure2_5x

* Mon Dec 02 2019 tmb <tmb> 5.4-1.mga8
+ Revision: 1463991
- update to 5.4

* Fri Oct 11 2019 daviddavid <daviddavid> 5.3-1.mga8
+ Revision: 1451366
- new version: 5.3

* Sun Aug 25 2019 tmb <tmb> 5.2-1.mga8
+ Revision: 1431880
- adjust for V4L2_PIX_FMT_BGRA444 duplicated define that got fixed in kernel 5.2.5
- update to 5.2

* Sun Jun 30 2019 daviddavid <daviddavid> 5.1-1.mga8
+ Revision: 1416504
- new version: 5.1

* Fri Mar 29 2019 luigiwalser <luigiwalser> 5.0-1.mga7
+ Revision: 1381100
- 5.0

* Thu Dec 27 2018 daviddavid <daviddavid> 4.26-1.mga7
+ Revision: 1345327
- new version: 4.26

* Sun Sep 02 2018 tv <tv> 4.24-0.1.mga7
+ Revision: 1256261
- new release

* Mon Jul 09 2018 wally <wally> 4.22-2.mga7
+ Revision: 1242724
- fix build on aarch64

* Wed Apr 18 2018 kekepower <kekepower> 4.22-1.mga7
+ Revision: 1219834
- Update to version 4.22

* Sat Jan 06 2018 daviddavid <daviddavid> 4.20-1.mga7
+ Revision: 1190734
- new version: 4.20

* Sat Oct 14 2017 joequant <joequant> 4.19-1.mga7
+ Revision: 1171789
- upgrade to 4.19

* Thu Jun 01 2017 luigiwalser <luigiwalser> 4.17-1.mga6
+ Revision: 1105722
- 4.17

* Sun Feb 26 2017 luigiwalser <luigiwalser> 4.16-1.mga6
+ Revision: 1087927
- 4.16

* Fri Dec 23 2016 luigiwalser <luigiwalser> 4.15-1.mga6
+ Revision: 1076651
- 4.15

* Tue Oct 25 2016 luigiwalser <luigiwalser> 4.14-1.mga6
+ Revision: 1063526
- 4.14

* Wed Aug 10 2016 luigiwalser <luigiwalser> 4.13-1.mga6
+ Revision: 1045345
- 4.13

* Mon Jun 06 2016 tv <tv> 4.11-2.mga6
+ Revision: 1020431
- do not package huge ChangeLog

* Fri Jan 01 2016 luigiwalser <luigiwalser> 4.11-1.mga6
+ Revision: 917599
- 4.11

* Sat Jul 25 2015 blino <blino> 4.10-1.mga6
+ Revision: 857245
- 4.10

* Wed Oct 15 2014 umeabot <umeabot> 4.9-4.mga5
+ Revision: 739468
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 4.9-3.mga5
+ Revision: 730276
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 4.9-2.mga5
+ Revision: 689553
- Mageia 5 Mass Rebuild

* Sat Aug 16 2014 luigiwalser <luigiwalser> 4.9-1.mga5
+ Revision: 664041
- 4.9
- drop upstreamed patch for build error

* Tue Oct 22 2013 umeabot <umeabot> 4.8-3.mga4
+ Revision: 543735
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 danf <danf> 4.8-2.mga4
+ Revision: 498883
- ptrace.patch to work around glibc 2.18 header problem

* Sun Jun 09 2013 luigiwalser <luigiwalser> 4.8-1.mga4
+ Revision: 440793
- 4.8
- remove old patches
- fix download URL
- no longer call autoreconf

* Mon Jan 14 2013 umeabot <umeabot> 4.7-3.mga3
+ Revision: 383514
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 06 2013 cjw <cjw> 4.7-2.mga3
+ Revision: 339702
- patch6: fix build with automake 1.13

* Sun Jun 03 2012 luigiwalser <luigiwalser> 4.7-1.mga3
+ Revision: 253504
- 4.7
- disable usbdevfs patch as it does not build correctly

* Wed Apr 13 2011 tv <tv> 4.6-1.mga1
+ Revision: 84212
- new release

* Tue Jan 11 2011 blino <blino> 4.5.20-3.mga1
+ Revision: 6370
- remove old version in comment
- imported package strace


* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 4.5.20-2mdv2011.0
+ Revision: 607754
- rebuild

* Mon May 17 2010 Eugeni Dodonov <eugeni@mandriva.com> 4.5.20-1mdv2010.1
+ Revision: 544966
- Updated to 4.5.20.
  Dropped merged patches.

* Sun Mar 14 2010 Oden Eriksson <oeriksson@mandriva.com> 4.5.19-2mdv2010.1
+ Revision: 519093
- P6: fix build (debian)
- rebuild

* Fri Oct 23 2009 Eugeni Dodonov <eugeni@mandriva.com> 4.5.19-1mdv2010.0
+ Revision: 459011
- Updated to 4.5.19.
  Drop patches 6,7,8,9 (integrated upstream).

* Mon Sep 28 2009 Olivier Blin <oblin@mandriva.com> 4.5.18-4mdv2010.0
+ Revision: 450366
- fix arm eabi (from Arnaud Patard, patch from upstream)

* Mon May 25 2009 Eugeni Dodonov <eugeni@mandriva.com> 4.5.18-3mdv2010.0
+ Revision: 379552
- Fixed off-by-one memory allocation error in util.c (#51181).

* Tue Feb 03 2009 Guillaume Rousse <guillomovitch@mandriva.org> 4.5.18-2mdv2009.1
+ Revision: 337175
- keep bash completion in its own package

* Mon Dec 22 2008 Oden Eriksson <oeriksson@mandriva.com> 4.5.18-1mdv2009.1
+ Revision: 317635
- 4.5.18
- drop upstream implemented patches (P0,P1)
- rediffed some fuzzy patches
- fix build with -Werror=format-security (P6)

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 4.5.16-3mdv2009.0
+ Revision: 225504
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 17 2007 Frederic Crozat <fcrozat@mandriva.com> 4.5.16-2mdv2008.1
+ Revision: 121734
- Patch5 : add verbose output for usbdevfs

* Sat Nov 10 2007 David Walluck <walluck@mandriva.org> 4.5.16-1mdv2008.1
+ Revision: 107364
- 4.5.16
- update URL

* Tue May 22 2007 Guillaume Rousse <guillomovitch@mandriva.org> 4.5.15-2mdv2008.0
+ Revision: 29893
- small completion fix


* Thu Jan 25 2007 Per Øyvind Karlsen <pkarlsen@mandriva.com> 4.5.15-1mdv2007.0
+ Revision: 113407
- new release: 4.5.15

* Sun Jan 14 2007 Guillaume Rousse <guillomovitch@mandriva.org> 4.5.14-3mdv2007.1
+ Revision: 108816
- uncompress all patches
- add bash completion
- Import strace

* Sat Jun 10 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 4.5.14-2mdv2007.0
- add fixes from PLD, will now build on sparc64 :)

* Tue Jan 17 2006 Stefan van der Eijk <stefan@eijk.nu> 4.5.14-1mdk
- 4.5.14

* Fri Aug 19 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 4.5.13-1mdk
- 4.5.13:
  * better x86_64 support for ia32 processes
  * better printing for linux aoi syscalls
  * update ppc syscalls
  * other bug fixes: statfs64, socket options (setsockopt, ipv6, 64-bit), etc.

* Sun Apr 17 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 4.5.11-1mdk
- 4.5.11
- %%mrel

* Fri Dec 24 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 4.5.8-1mdk
- 4.5.8
- fix summary-ended-with-dot

* Tue Jun 29 2004 Stefan van der Eijk <stefan@mandrake.org> 4.5.5-1mdk
- 4.5.5

* Wed Apr 07 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 4.5.2-1mdk
- new release

